import { Meta, Canvas, Controls } from "@storybook/blocks";
import Story, {
    SeriesComparisonSlider,
    SeriesComparisonSliderLeft,
} from "./series-comparison.stories";

<Meta of={Story} name="Docs" />

# Series-Comparison

This slider was migrated from Patternlab. It does not look exactly like the original,
because we wanted to use the standard slider component from the design system. This design is approved by the design team.

<Canvas of={SeriesComparisonSlider} />

## Variant with left aligned slider

The difference between the two sliders is only the class attributes on 2 elements in the markup:

-   on the row: `ux-row ux-u-flex-dir-row-reverse ux-u-flex-jc-end` for left and `ux-row` for right
-   on the slider column: `ux-col-11 ux-col-lg-5 ux-col-xl-4 ux-u-offset-1 ux-u-offset-xl-2` for left and `ux-col-11 ux-col-lg-5 ux-col-xl-4 ux-u-offset-1` for right

<Canvas of={SeriesComparisonSliderLeft} />
